@extends('base.base')
@section('base')
    <!-- 内容区域 -->
    <div class="main-panel">
        <div class="content-wrapper">
            <div class="page-header">
                <h3 class="page-title">
                     <span class="page-title-icon bg-gradient-primary text-white mr-2">
                        <i class="mdi mdi-settings"></i>
                    </span>
                    {{ __('auto.咖啡档位修改') }}
                </h3>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="#">{{ __('auto.咖啡管理') }}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{{ __('auto.咖啡档位修改') }}</li>
                    </ol>
                </nav>
            </div>
            <div class="row">
                <div class="col-lg-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">{{ __('auto.包名：') }}{{$ChannelPackageName}}</h4>


                            <form class="forms-sample" id="form">
                                <table class="table table-bordered">


                                    @foreach($list as $k=>$v)

                                        <tr>

                                            <input type="hidden" name="id[{{$k}}]" value="{{$v->id}}">


                                            <td>{{$v->name}}</td>
                                            <td>

                                                <input type="radio" name="Status[{{$k}}]" value="1" @if ($v->Status == 1)
                                                    checked
                                                @endif> {{ __('auto.开启') }}

                                                <input type="radio" name="Status[{{$k}}]" value="2" @if ($v->Status == 2)
                                                checked
                                                    @endif> {{ __('auto.关闭') }}

                                            </td>
                                            <td>{{ __('auto.排序：') }}<input type="number" name="Sort[{{$k}}]" class="form-control" value="{{$v->Sort}}"></td>
                                        </tr>
                                        @endforeach
                                        </tbody>
                                </table>

                                <button type="button" onclick="commit('{{$Channel}}')"
                                        class="btn btn-sm btn-gradient-primary btn-icon-text">
                                    <i class="mdi mdi-file-check btn-icon-prepend"></i>
                                    {{ __('auto.提交') }}
                                </button>
                                <button type="button" onclick="cancel()"
                                        class="btn btn-sm btn-gradient-warning btn-icon-text">
                                    <i class="mdi mdi-reload btn-icon-prepend"></i>
                                    {{ __('auto.取消') }}
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>

        function commit(Channel) {

            if (!checkForm()) {
                return false;
            }

            params = ($("#form").serializeObject());

            console.log(params)
            myRequest("/admin/channel/open_recharge/"+Channel,"post", params,function(res){
                if(res.code == '200'){
                    layer.msg(res.msg)
                    setTimeout(function(){
                        parent.location.reload();
                    },1500)
                }else{
                    layer.msg(res.msg)
                }
            });
        }

        function cancel() {
            parent.location.reload();
        }


        function add() {
            layer.open({
                type: 2,
                title: '{{ __('auto.添加咖啡档位') }}',
                shadeClose: true,
                shade: 0.8,
                area: ['50%', '50%'],
                content: '/admin/recharge/add'
            });
        }

        function update() {
            layer.open({
                type: 2,
                title: '{{ __('auto.渠道修改') }}',
                shadeClose: true,
                shade: 0.8,
                area: ['50%', '50%'],
                content: '/admin/recharge/update'
            });
        }

        function switch_control(id, config_id, type) {

            console.log(id)
            myConfirm("{{ __('auto.操作不可逆,是否继续') }}?", function () {
                myRequest("/admin/recharge/gear_switch/" + id, "post", {config_id, type}, function (res) {
                    layer.msg(res.msg)
                    setTimeout(function () {
                        parent.location.reload();
                    }, 1500)
                });
            });
        }


    </script>
@endsection
